TITLE Factorial

INCLUDE Irvine16.inc

.data
msg1 byte "Enter number : ", 0
msg2 byte "Factorial of Number is : ", 0
no   byte ?

.code

main PROC

	mov ax,@data
	mov ds,ax

        call ClrScr
        mov  dx, offset msg1
        call WriteString
        call ReadInt
        call Crlf
        mov  no, al

        mov  cx, ax
        mov  ax, 1
        L1:
                mul cx
                loop L1

        mov  dx, offset msg2
        call WriteString
        call WriteDec

	exit
main ENDP
END main
